---
title: "Authenticate to the admin console"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/admin-login/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Authenticate to the admin console

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

POST

/admin/login

FetchcURL

```
const url = 'https://example.com/admin/login';const options = {  method: 'POST',  headers: {'Content-Type': 'application/json'},  body: '{"password":"example","player_name":"example"}'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request POST \  --url https://example.com/admin/login \  --header 'Content-Type: application/json' \  --data '{ "password": "example", "player_name": "example" }'
```

## Request Bodyrequired

application/json

object

**password**

required

string

**player\_name**

required

string

### Example generated

```
{  "password": "example",  "player_name": "example"}
```

## Responses

### 200

OK

application/json

object

**player\_name**

required

string

**role**

required

string

#### Example generated

```
{  "player_name": "example",  "role": "example"}
```

#### Headers

**Set-Cookie**

string

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
